﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ListBindingDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            mNames.Add("John Smith");
            mNames.Add("Jane Doe");

            mBoundNames = new BindingList<string>(mNames);
            listNames.DataSource = mBoundNames;
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private List<string> mNames = new List<string>();
        private BindingList<string> mBoundNames;

        private void buttonAdd_Click(object sender, EventArgs e)
        {
            mNames.Add(editName.Text);
        }

        private void buttonReset_Click(object sender, EventArgs e)
        {
            mBoundNames.ResetBindings();
        }
    }
}
